## distro-info-data 0.36~bpo8+2

=== debian/changelog ===
distro-info-data (0.36~bpo8+2) jessie-lts; urgency=medium

  * Bring over updates so far (up to 0.36 data), previously found in
    jessie-backports, to provide a smooth update for users with or without
    the previous jessie-backports updates installed.
  * Update the data to 0.55, without new columns:
    - Add Ubuntu 18.04 LTS Bionic Beaver.
    - Add Ubuntu 18.10 Cosmic Cuttlefish. (LP: #1769992)
    - Correct EOL date for zesty. (LP: #1743936)
    - Add Debian 12 Bookworm.
    - Add Ubuntu 19.04 Disco Dingo. (LP: #1800656)
    - Correct EOL date for trusty. (LP: #1825553)
    - Add Ubuntu 19.10, Eoan Ermine. (LP: #1825379)
    - Set release date for Buster.
    - Add Ubuntu 20.04 LTS, Focal Fossa.
    - Add Ubuntu 20.10, Groovy Gorilla.
    - Add an EOL date for Debian Stretch.
    - Add Ubuntu 21.04, Hirsute Hippo.
    - Add a date for Buster EOL.
    - Correct the EOL date for Debian Jessie.
    - Add Debian 13 "Trixie", with a rough date.
    - Add Ubuntu 21.10, Impish Indri.
    - Move Ubuntu EoLs off weekends.
    - Validate that Ubuntu EoLs occur during the week.
    - Set bullseye's release date.
    - Add Ubuntu 22.04 LTS, Jammy Jellyfish.
    - Add Ubuntu 22.10, Kinetic Kudu.
    - Correct release date of Debian 8 (jessie) to 2015-04-26
    - Add dates for Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 04 Jun 2017 07:20:00 -0700

## distro-info-data 0.36~bpo8+3

=== debian/changelog ===
distro-info-data (0.36~bpo8+3) jessie-lts; urgency=medium

  * Update data to 0.58, without new columns:
    - Add Debian 14 "forky" with a vague creation date.
    - Correct Ubuntu 23.04 release date to 2023-04-20.
    - Tighten validate-csv-data heuristics, restricting Ubuntu EoLs to
      Tue-Thursday.
    - Document Ubuntu ESM overlap period (LP: #2003949)
    - Add Ubuntu 23.10 Mantic Minotaur (LP: #2018028)
    - Set the planned release date for Debian bookworm (and an EoL based on it).
    - Adjust trixie's creation date to match bookworm's release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Apr 2023 18:25:32 -0400

## distro-info-data 0.36~bpo8+4

=== debian/changelog ===
distro-info-data (0.36~bpo8+4) jessie-lts; urgency=medium

  * Update data to 0.59, without new columns:
    - Add Ubuntu 24.04 LTS Noble Numbat (LP: #2041662).
    - Correct Ubuntu 16.04 EOL to 2021-04-30
    - Correct Debian 3.1 EOL date to 2008-03-31
    - Correct Debian 7 EOL date to 2016-04-25
    - Move Debian 9 EOL to the 9.13 release date 2020-07-18
    - Move Debian 10 EOL to the 10.13 release date 2022-09-10
  * Catch up previously excluded historical updates from 0.46:
    - Tweak EOL dates, by a couple of days, for Ubuntu 9.10, 10.04, 12.04,
      15.04, 15.10, and 19.04.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2023 12:40:41 +0200

## distro-info-data 0.36~bpo8+5

=== debian/changelog ===
distro-info-data (0.36~bpo8+5) jessie-lts; urgency=medium

  * Add new columns from distro-info-data.
    - This breaks distro-info << 0.14+deb8u1.
    - Update validation tests to match.
    - Port validation tests back to Python 3.4.
  * Update data to 0.61:
    - Declare LTS and ELTS intentions for bullseye and bookworm
    - debian: Fix LTS EOL date for bullseye
    - debian.csv: Fix EOL date for 2.2
    - Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 30 Apr 2024 22:38:47 -0400

## distro-info-data 0.36~bpo8+6

=== debian/changelog ===
distro-info-data (0.36~bpo8+6) jessie-lts; urgency=medium

  * Update data to 0.63:
    - Add Ubuntu 25.04 "Plucky Puffin".

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Oct 2024 12:13:48 -0700

## distro-info-data 0.36~bpo8+7

=== debian/changelog ===
distro-info-data (0.36~bpo8+7) jessie-lts; urgency=medium

  * Update data to 0.64:
    * Add Debian 15 "Duke".
    * Add Ubuntu 25.10 "Questing Quokka".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Apr 2025 15:56:14 -0400

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>, Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 9), python3
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/distro-info-data.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/distro-info-data.git

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: distro-info (<< 0.14+deb8u1~)
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.36ubuntu0.2

=== debian/changelog ===
distro-info-data (0.36ubuntu0.2) artful; urgency=medium

  * Copy data from 0.38:
    - Add Ubuntu 18.10 Cosmic Cuttlefish. (LP: #1769992)
    - Correct EOL date for zesty. (LP: #1743936)
    - Adjust provisional creation date for Debian 11 Bullseye to August 2019.
      The release-team expects Buster to release "some time mid-2019".
    - Add Debian 12 Bookworm, with a provisional creation date.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 May 2018 13:39:42 -0600

distro-info-data (0.36ubuntu0.1) artful; urgency=medium

  * Copy data from 0.37
    - Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 24 Oct 2017 13:27:47 -0700

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 9), python
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/distro-info-data.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/distro-info-data.git

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: distro-info (<< 0.3~)
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.37~bpo9+1

=== debian/changelog ===
distro-info-data (0.37~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2017 11:53:20 -0700

distro-info-data (0.37) unstable; urgency=medium

  * Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Oct 2017 13:11:56 -0700

## distro-info-data 0.37

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python
 Standards-Version: 3.9.8

## distro-info-data 0.37ubuntu0.6

=== debian/changelog ===
distro-info-data (0.37ubuntu0.6) bionic; urgency=medium

  * Copy data from 0.40ubuntu3:
    - Add Ubuntu 20.04 LTS, with 5 years LTS and 10 years ESM. (LP: #1848688)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Oct 2019 10:17:24 +0100

distro-info-data (0.37ubuntu0.5) bionic; urgency=medium

  * Copy data from 0.40ubuntu2:
    - Correct EOL dates for trusty (LP: #1825553)
    - Replace EANIMAL placeholder with Ermine.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 May 2019 14:29:06 -0600

distro-info-data (0.37ubuntu0.4) bionic; urgency=medium

  * Copy data from 0.39ubuntu2:
    - Add Ubuntu 19.10 Eoan EANIMAL. (LP: #1825379)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2019 16:12:52 +0100

distro-info-data (0.37ubuntu0.3) bionic; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Mar 2019 11:29:06 -0800

distro-info-data (0.37ubuntu0.2) bionic; urgency=medium

  * Copy data from 0.39:
    - Add Ubuntu 19.04 Disco Dingo. (LP: #1800656)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 30 Oct 2018 07:00:16 -0700

distro-info-data (0.37ubuntu0.1) bionic; urgency=medium

  * Copy data from 0.38:
    - Add Ubuntu 18.10 Cosmic Cuttlefish. (LP: #1769992)
    - Correct EOL date for zesty. (LP: #1743936)
    - Adjust provisional creation date for Debian 11 Bullseye to August 2019.
      The release-team expects Buster to release "some time mid-2019".
    - Add Debian 12 Bookworm, with a provisional creation date.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 May 2018 13:39:42 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python
 Standards-Version: 3.9.8
@@ -12,7 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.3~)
+Breaks: distro-info (<< 0.18ubuntu0.18.04.1~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.37ubuntu0.9

=== debian/changelog ===
distro-info-data (0.37ubuntu0.9) bionic; urgency=medium

  * Add Ubuntu 21.04, Hirsute Hippo (LP: #1901361).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 26 Oct 2020 15:24:27 +0100

distro-info-data (0.37ubuntu0.7) bionic; urgency=medium

  * Copy from Debian unstable (0.44):
    - Set release date for Buster (and matching creation date for Bullseye).
    - Add Ubuntu 20.10, Groovy Gorilla. (LP: #1874843)
    - Add a guessed EOL date for Debian Stretch.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 24 Apr 2020 09:05:08 -0700

## distro-info-data 0.37ubuntu0.10

=== debian/changelog ===
distro-info-data (0.37ubuntu0.10) bionic; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 22 Apr 2021 13:14:53 +0100

## distro-info-data 0.37ubuntu0.11

=== debian/changelog ===
distro-info-data (0.37ubuntu0.11) bionic; urgency=medium

  * Move Ubuntu EoLs off weekend days. (LP: #1939457)

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Aug 2021 15:18:17 -0700

## distro-info-data 0.37ubuntu0.12

=== debian/changelog ===
distro-info-data (0.37ubuntu0.12) bionic-security; urgency=medium

  * Update ubuntu.csv for trusty and xenial ESM extended dates
    (LP: #1946137).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 06 Oct 2021 09:29:20 -0300

## distro-info-data 0.37ubuntu0.13

=== debian/changelog ===
distro-info-data (0.37ubuntu0.13) bionic; urgency=medium

  * Add Ubuntu 22.04, Jammy Jellyfish (LP: #1947368).
  * Update ubuntu.csv contents to what we had in hirsute+.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:49:26 +0200

## distro-info-data 0.37ubuntu0.13+9.0trisquel2

=== debian/changelog ===
distro-info-data (0.37ubuntu0.13+9.0trisquel2) etiona; urgency=medium

  * Adding trisquel distro info.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 18 Dec 2021 01:05:17 +0000

## distro-info-data 0.37ubuntu0.14

=== debian/changelog ===
distro-info-data (0.37ubuntu0.14) bionic; urgency=medium

  * Add Ubuntu 22.10, Kinetic Kudu (LP: #1970227)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 26 Apr 2022 19:26:52 +0200

## distro-info-data 0.37ubuntu0.17

=== debian/changelog ===
distro-info-data (0.37ubuntu0.17) bionic; urgency=medium

  * Add Ubuntu 23.10 Mantic Minotaur. (LP: #2018028)
  * Correct release and EOL date of Debian 8 "jessie"
  * Add EOL date for Debian 10 "Buster"
  * Add release and EOL dates for Debian 11 "Bullseye"
  * Set the planned release date for Debian bookworm (and an EoL based on it).
  * Add Debian 13 "Trixie"
  * Add Debian 14 "forky" with a vague creation date.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 May 2023 16:04:56 +0200

distro-info-data (0.37ubuntu0.16) bionic; urgency=medium

  * Document Ubuntu ESM overlap period (LP: #2003949)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 06 Mar 2023 11:18:45 +0000

distro-info-data (0.37ubuntu0.15) bionic; urgency=medium

  * Add Ubuntu 23.04, Lunar Lobster (LP: #1993667)
  * Point Vcs-Git and Vcs-Browser to salsa.debian.org

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 31 Oct 2022 15:15:33 +0100

## distro-info-data 0.37ubuntu0.17+9.0trisquel7

=== debian/changelog ===
distro-info-data (0.37ubuntu0.17+9.0trisquel7) etiona; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 03 May 2023 18:39:47 +0000

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 9), python
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git -b ubuntu/bionic
Vcs-Browser: https://salsa.debian.org/debian/distro-info-data

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.37ubuntu0.18

=== debian/changelog ===
distro-info-data (0.37ubuntu0.18) bionic; urgency=medium

  [ Benjamin Drung ]
  * Add Ubuntu 24.04 LTS "Noble Numbat"
  * Correct Ubuntu 6.10 EOL date to 2008-04-25
  * Correct Ubuntu 16.04 ESM begin to 2021-04-30
  * Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
  * Correct Debian 3.1 EOL date to 2008-03-31
  * Correct Debian 7 EOL date to 2016-04-25
  * Move Debian 9 EOL to the 9.13 release date 2020-07-18
  * Move Debian 10 EOL to the 10.13 release date 2022-09-10
  * Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)
  * Update year in debian/copyright

  [ Jeremy Bícha ]
  * debian.csv: Fix EOL date for 2.2

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 03 May 2024 12:13:19 +0200

## distro-info-data 0.37ubuntu0.19

=== debian/changelog ===
distro-info-data (0.37ubuntu0.19) bionic; urgency=medium

  * Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)
  * Add Ubuntu 25.10 "Questing Quokka" (LP: #2107391)
  * Add Debian 15 "Duke"

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 29 Apr 2025 11:54:42 +0200

## distro-info-data 0.37ubuntu0.20

=== Makefile ===
PREFIX ?= /usr

build:

install:
	install -d $(DESTDIR)$(PREFIX)/share/distro-info
	install -m 644 $(wildcard *.csv) $(DESTDIR)$(PREFIX)/share/distro-info

test:
	./validate-csv-data -d debian.csv
	./validate-csv-data -u ubuntu.csv

.PHONY: build install test

=== debian/changelog ===
distro-info-data (0.37ubuntu0.20) bionic; urgency=medium

  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)
  * Add release date for Debian 13 "Trixie"
  * Update the Debian 12 "bookworm" EoL

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Oct 2025 20:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python
@@ -13,6 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: distro-info (<< 0.18ubuntu0.18.04.1~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.38~bpo9+1

=== debian/changelog ===
distro-info-data (0.38~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Aug 2018 16:58:24 -0700

distro-info-data (0.38) unstable; urgency=medium

  * Migrate VCS to salsa.debian.org.
  * Add Ubuntu 18.10 Cosmic Cuttlefish. (LP: #1769992)
  * Correct EOL date for zesty. (LP: #1743936)
  * Adjust provisional creation date for Debian 11 Bullseye to August 2019.
    The release-team expects Buster to release "some time mid-2019".
  * Add Debian 12 Bookworm, with a provisional creation date.
  * Declare: Rules-Requires-Root: no.
  * Switch copyright Format URL to https.
  * Update copyright.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 May 2018 12:34:42 -0700

## distro-info-data 0.38

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 9), python
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
Rules-Requires-Root: no

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: distro-info (<< 0.3~)
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.38ubuntu0.4

=== debian/changelog ===
distro-info-data (0.38ubuntu0.4) cosmic; urgency=medium

  * Copy data from 0.40ubuntu2:
    - Correct EOL dates for trusty (LP: #1825553)
    - Replace EANIMAL placeholder with Ermine.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 May 2019 14:29:06 -0600

distro-info-data (0.38ubuntu0.3) cosmic; urgency=medium

  * Copy data from 0.39ubuntu2:
    - Add Ubuntu 19.10 Eoan EANIMAL. (LP: #1825379)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2019 16:13:25 +0100

distro-info-data (0.38ubuntu0.2) cosmic; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Mar 2019 15:42:06 -0800

distro-info-data (0.38ubuntu0.1) cosmic; urgency=medium

  * Copy data from 0.39:
    - Add Ubuntu 19.04 Disco Dingo. (LP: #1800656)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 30 Oct 2018 07:01:15 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python
 Standards-Version: 4.1.4
@@ -13,7 +14,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.3~)
+Breaks: distro-info (<< 0.18ubuntu0.18.10.1~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.39~bpo9+1

=== debian/changelog ===
distro-info-data (0.39~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 07 Nov 2018 12:22:37 -0800

distro-info-data (0.39) unstable; urgency=medium

  * Add Ubuntu 19.04 Disco Dingo. (LP: #1800656)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 30 Oct 2018 06:33:17 -0700

## distro-info-data 0.39ubuntu1

=== debian/changelog ===
distro-info-data (0.39ubuntu1) disco; urgency=medium

  * Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
    (LP: #1814976, #1808038)

 -- Brian Murray <brian@ubuntu.com>  Mon, 11 Feb 2019 14:01:01 -0800

## distro-info-data 0.39ubuntu2.2

=== debian/changelog ===
distro-info-data (0.39ubuntu2.2) disco; urgency=medium

  * Copy data from 0.40ubuntu3:
    - Add Ubuntu 20.04 LTS, with 5 years LTS and 10 years ESM. (LP: #1848688)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Oct 2019 10:16:43 +0100

distro-info-data (0.39ubuntu2.1) disco; urgency=medium

  * Copy data from 0.40ubuntu2:
    - Correct EOL dates for trusty (LP: #1825553)
    - Replace EANIMAL placeholder with Ermine.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 May 2019 14:29:06 -0600

distro-info-data (0.39ubuntu2) disco; urgency=medium

  * Copy data from 0.39ubuntu2:
    - Add Ubuntu 19.10 Eoan EANIMAL. (LP: #1825379)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2019 16:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.18ubuntu0.18.10.1~)
+Breaks: distro-info (<< 0.20~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.40~bpo9+1

=== debian/changelog ===
distro-info-data (0.40~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Apr 2019 14:18:50 -0700

distro-info-data (0.40) unstable; urgency=medium

  * Correct EOL date for trusty. (LP: #1825553)
  * Add Ubuntu 19.10, with a provisional animal name. (LP: #1825379)
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Apr 2019 12:14:38 -0700

## distro-info-data 0.40ubuntu3

=== debian/changelog ===
distro-info-data (0.40ubuntu3) eoan; urgency=medium

  * Add Ubuntu 20.04 LTS, with 5 years LTS and 10 years ESM.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Oct 2019 18:25:47 +0100

distro-info-data (0.40ubuntu2) eoan; urgency=medium

  * Replace Eoan EANIMAL placeholder with Eoan Ermine.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 May 2019 14:15:12 -0600

distro-info-data (0.40ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add in eol-server and eol-esm dates for all Ubuntu LTS releases.
  * Dropped changes, included in Debian:
    - Add Ubuntu 19.10 Eoan EANIMAL.
    - Correct EOL dates for trusty.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 May 2019 21:09:28 -0700

distro-info-data (0.39ubuntu4) eoan; urgency=medium

  * Correct EOL dates for trusty with slightly more vigor.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Apr 2019 04:04:35 -0600

distro-info-data (0.39ubuntu3) eoan; urgency=medium

  * Correct EOL dates for trusty (LP: #1825553)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Apr 2019 03:58:34 -0600

## distro-info-data 0.40ubuntu4

=== debian/changelog ===
distro-info-data (0.40ubuntu4) eoan; urgency=medium

  * Copy from Debian unstable (0.44):
    - Set release date for Buster (and matching creation date for Bullseye).
    - Add Ubuntu 20.10, Groovy Gorilla. (LP: #1874843)
    - Add a guessed EOL date for Debian Stretch.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 24 Apr 2020 09:02:03 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no

## distro-info-data 0.41~bpo9+1

=== debian/changelog ===
distro-info-data (0.41~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Jun 2019 11:18:12 -0700

distro-info-data (0.41) unstable; urgency=medium

  * Add final animal name for Ubuntu 19.10 Eoan Ermine.
  * Set release date for Buster (and matching creation date for Bullseye).
    It has been announced.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 14 Jun 2019 10:50:04 -0700

## distro-info-data 0.41+deb10u1~bpo9+1

=== debian/changelog ===
distro-info-data (0.41+deb10u1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 26 Dec 2019 07:19:54 +0200

distro-info-data (0.41+deb10u1) buster; urgency=medium

  [ Stefano Rivera ]
  * Add Ubuntu 20.04 LTS, Focal Fossa.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 31 Oct 2019 12:00:12 +0100

## distro-info-data 0.41+deb10u2~bpo9+1

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 May 2020 13:48:21 -0700

distro-info-data (0.41+deb10u2) buster; urgency=medium

  * Update data to 0.44:
    - Add Ubuntu 20.10, Groovy Gorilla.
    - Add a guessed EOL date for Debian Stretch.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Apr 2020 09:24:59 -0700

## distro-info-data 0.41+deb10u2~bpo9+2

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+2) stretch-lts; urgency=medium

  * Bring over updates so far (up to 0.44 data), previously found in
    stretch-backports, to provide a smooth update for users with or without
    the previous stretch-backports updates installed.
  * Update the data to 0.55, without new columns:
    - Add Ubuntu 21.04, Hirsute Hippo.
    - Add a date for Buster EOL.
    - Correct the EOL date for Debian Jessie.
    - Add Debian 13 "Trixie", with a rough date.
    - Add Ubuntu 21.10, Impish Indri.
    - Move Ubuntu EoLs off weekends.
    - Validate that Ubuntu EoLs occur during the week.
    - Set bullseye's release date.
    - Add Ubuntu 22.04 LTS, Jammy Jellyfish.
    - Add Ubuntu 22.10, Kinetic Kudu.
    - Correct release date of Debian 8 (jessie) to 2015-04-26
    - Add dates for Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 May 2020 13:48:21 -0700

## distro-info-data 0.41+deb10u2~bpo9+3

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+3) stretch-lts; urgency=medium

  * Update data to 0.58, without new columns:
    - Add Debian 14 "forky" with a vague creation date.
    - Correct Ubuntu 23.04 release date to 2023-04-20.
    - Tighten validate-csv-data heuristics, restricting Ubuntu EoLs to
      Tue-Thursday.
    - Document Ubuntu ESM overlap period (LP: #2003949)
    - Add Ubuntu 23.10 Mantic Minotaur (LP: #2018028)
    - Set the planned release date for Debian bookworm (and an EoL based on it).
    - Adjust trixie's creation date to match bookworm's release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Apr 2023 18:29:58 -0400

## distro-info-data 0.41+deb10u2~bpo9+4

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+4) stretch-lts; urgency=medium

  * Update data to 0.59, without new columns:
    - Add Ubuntu 24.04 LTS Noble Numbat (LP: #2041662).
    - Correct Ubuntu 16.04 EOL to 2021-04-30
    - Correct Debian 3.1 EOL date to 2008-03-31
    - Correct Debian 7 EOL date to 2016-04-25
    - Move Debian 9 EOL to the 9.13 release date 2020-07-18
    - Move Debian 10 EOL to the 10.13 release date 2022-09-10
  * Catch up previously excluded historical updates from 0.46:
    - Tweak EOL dates, by a couple of days, for Ubuntu 9.10, 10.04, 12.04,
      15.04, 15.10, and 19.04.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2023 12:24:25 +0200

## distro-info-data 0.41+deb10u2~bpo9+5

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+5) stretch-lts; urgency=medium

  * Add new columns from distro-info-data.
    - This breaks distro-info << 0.14+deb9u1.
    - Update validation tests to match.
    - Port validation tests back to Python 3.5.
  * Update data to 0.61:
    - Declare LTS and ELTS intentions for bullseye and bookworm
    - debian: Fix LTS EOL date for bullseye
    - debian.csv: Fix EOL date for 2.2
    - Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 30 Apr 2024 22:03:46 -0400

## distro-info-data 0.41+deb10u2~bpo9+6

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+6) stretch-lts; urgency=medium

  * Update data to 0.63:
    - Add Ubuntu 25.04 "Plucky Puffin"

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Oct 2024 20:06:22 -0700

## distro-info-data 0.41+deb10u2~bpo9+7

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+7) stretch-lts; urgency=medium

  * Update data to 0.64:
    * Add Debian 15 "Duke".
    * Add Ubuntu 25.10 "Questing Quokka".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Apr 2025 15:53:33 -0400

## distro-info-data 0.41+deb10u2~bpo9+8

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+8) stretch-lts; urgency=medium

  * Update data to 0.66:
    - Add Ubuntu end of Legacy Support dates (new eol-legacy column).
    - Add release and estimated EoL dates for Debian 13 "Trixie".

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Aug 2025 19:15:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 9), python
+Build-Depends: debhelper (>= 9), python3
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
@@ -14,7 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.20~)
+Breaks: distro-info (<< 0.14+deb9u1~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.41+deb10u2~bpo9+9

=== debian/changelog ===
distro-info-data (0.41+deb10u2~bpo9+9) stretch-lts; urgency=medium

  * Update data to 0.67:
    - Update the bookworm EoL
    - Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Oct 2025 17:21:43 +0200

## distro-info-data 0.41+deb10u2+nmu1

=== debian/changelog ===
distro-info-data (0.41+deb10u2+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:22:13 +0800

## distro-info-data 0.41+deb10u3

=== debian/changelog ===
distro-info-data (0.41+deb10u3) unstable; urgency=medium

  * update

 -- Benjamin Drung <bdrung@debian.org>  Mon, 14 Dec 2020 20:52:56 +0800

distro-info-data (0.41+deb10u3) buster; urgency=medium

  * Update data to 0.45:
    - Add Ubuntu 21.04, Hirsute Hippo.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Nov 2020 12:44:14 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 9), python3
+Build-Depends: debhelper (>= 9), python
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
@@ -13,7 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.14+deb9u1~)
+Breaks: distro-info (<< 0.3~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.41+deb10u4

=== debian/changelog ===
distro-info-data (0.41+deb10u4) buster; urgency=medium

  * Update data to 0.51, without new columns:
    - Add estimated date for Buster EOL.
    - Correct the EOL date for Debian Jessie.
    - Add Debian 13 "Trixie", with a rough date.
    - Add Ubuntu 21.10, Impish Indri.
    - Move Ubuntu EoLs off weekends.
    - Validate that Ubuntu EoLs occur during the week.
    - Set bullseye's release date, bookworm's creation date, and buster's EoL
      date based on the updated planned bullseye release date.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Sep 2021 15:30:21 -0700

## distro-info-data 0.41+deb10u5

=== debian/changelog ===
distro-info-data (0.41+deb10u5) buster; urgency=medium

  * Update data to 0.53, without new columns:
    - Add Ubuntu 22.04 LTS, Jammy Jellyfish.
    - Add Ubuntu 22.10, Kinetic Kudu.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Apr 2022 20:18:22 -0400

## distro-info-data 0.41+deb10u6

=== debian/changelog ===
distro-info-data (0.41+deb10u6) buster-security; urgency=medium

  * Update data to 0.55, without new columns:
    - Correct release date of Debian 8 (jessie) to 2015-04-26
    - Add dates for Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Oct 2022 14:03:00 +0200

## distro-info-data 0.41+deb10u7

=== debian/changelog ===
distro-info-data (0.41+deb10u7) buster-security; urgency=medium

  * Update data to 0.58, without new columns:
    - Add Debian 14 "forky" with a vague creation date.
    - Correct Ubuntu 23.04 release date to 2023-04-20.
    - Tighten validate-csv-data heuristics, restricting Ubuntu EoLs to
      Tue-Thursday.
    - Document Ubuntu ESM overlap period (LP: #2003949)
    - Add Ubuntu 23.10 Mantic Minotaur (LP: #2018028)
    - Set the planned release date for Debian bookworm (and an EoL based on it).
    - Adjust trixie's creation date to match bookworm's release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 29 Apr 2023 19:54:41 -0400

## distro-info-data 0.41+deb10u8

=== debian/changelog ===
distro-info-data (0.41+deb10u8) buster-security; urgency=medium

  * Update data to 0.58, without new columns:
    - Add Ubuntu 24.04 LTS Noble Numbat (LP: #2041662).
    - Correct Ubuntu 16.04 EOL to 2021-04-30
    - Correct Debian 3.1 EOL date to 2008-03-31
    - Correct Debian 7 EOL date to 2016-04-25
    - Move Debian 9 EOL to the 9.13 release date 2020-07-18
    - Move Debian 10 EOL to the 10.13 release date 2022-09-10
  * Catch up previously excluded historical updates from 0.46:
    - Tweak EOL dates, by a couple of days, for Ubuntu 9.10, 10.04, 12.04,
      15.04, 15.10, and 19.04.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2023 11:37:34 +0200

## distro-info-data 0.41+deb10u9

=== debian/changelog ===
distro-info-data (0.41+deb10u9) buster-security; urgency=medium

  * Correct typo in previous changelog entry (0.59, not 0.58)
  * Add new columns from distro-info-data.
    - This breaks distro-info << 0.21+deb10u1.
    - Update validation tests to match.
    - Port validation tests typing syntax to Python 3.7.
  * Update data to 0.61:
    - Declare LTS and ELTS intentions for bullseye and bookworm
    - debian: Fix LTS EOL date for bullseye
    - debian.csv: Fix EOL date for 2.2
    - Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 30 Apr 2024 21:44:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 9), python
+Build-Depends: debhelper (>= 9), python3
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
@@ -13,7 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.3~)
+Breaks: distro-info (<< 0.21+deb10u1~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.41+deb10u10

=== debian/changelog ===
distro-info-data (0.41+deb10u10) buster-lts; urgency=medium

  * Update data to 0.63:
    - Add Ubuntu 25.04 "Plucky Puffin".

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Oct 2024 19:23:55 -0700

## distro-info-data 0.41+deb10u11

=== debian/changelog ===
distro-info-data (0.41+deb10u11) buster-lts; urgency=medium

  * Update data to 0.64:
    * Add Debian 15 "Duke".
    * Add Ubuntu 25.10 "Questing Quokka".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Apr 2025 15:45:11 -0400

## distro-info-data 0.41+deb10u12

=== debian/changelog ===
distro-info-data (0.41+deb10u12) buster-lts; urgency=medium

  * Update data to 0.66:
    - Add Ubuntu end of Legacy Support dates (new eol-legacy column).
    - Add release and estimated EoL dates for Debian 13 "Trixie".

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Aug 2025 15:49:48 +0200

## distro-info-data 0.41+deb10u13

=== debian/changelog ===
distro-info-data (0.41+deb10u13) buster-lts; urgency=medium

  * Update data to 0.67:
    - Update the bookworm EoL
    - Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Oct 2025 12:37:43 +0200

## distro-info-data 0.41+devuan1

=== Makefile ===
--- 
+++ 
@@ -9,5 +9,6 @@
 test:
 	./validate-csv-data -d debian.csv
 	./validate-csv-data -u ubuntu.csv
+	./validate-csv-data -v devuan.csv
 
 .PHONY: build install test

=== debian/changelog ===
distro-info-data (0.41+devuan1) unstable; urgency=medium

  * Change maintenance to Devuan developers list.
  * Add d/gbp.conf defaults for debian-branch and debian-tag.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 04 Jan 2020 11:26:58 +0000

distro-info-data (0.39+devuan1.1) unstable; urgency=medium

  * added support for devuan 
  * corrected release dates in devuan.csv

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 25 Nov 2018 16:12:27 +0000

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
Build-Depends: debhelper (>= 9), python
Standards-Version: 4.3.0
Vcs-Git: https://git.devuan.org/devuan-packages/distro-info-data.git
Vcs-Browser: https://git.devuan.org/devuan-packages/distro-info-data
Rules-Requires-Root: no

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: distro-info (<< 0.3~)
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.43

=== debian/changelog ===
distro-info-data (0.43) unstable; urgency=medium

  * Add Ubuntu 20.04 LTS, Focal Fossa.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Oct 2019 13:10:30 -0700

distro-info-data (0.42) unstable; urgency=medium

  * validate-csv-data:
    - Switch to Python 3
    - Switch from optparse to argparse
    - Fix pylint issues
  * Bump Standards-Version to 4.4.0
  * Switch to debhelper 12

 -- Benjamin Drung <bdrung@debian.org>  Tue, 23 Jul 2019 12:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
-Build-Depends: debhelper (>= 9), python
-Standards-Version: 4.3.0
-Vcs-Git: https://git.devuan.org/devuan-packages/distro-info-data.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/distro-info-data
+Maintainer: Benjamin Drung <bdrung@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
+Build-Depends: debhelper-compat (= 12), python3
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
+Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no
 
 Package: distro-info-data

## distro-info-data 0.43ubuntu1

=== debian/changelog ===
distro-info-data (0.43ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add in eol-server and eol-esm dates for all Ubuntu LTS releases.

 -- dann frazier <dannf@ubuntu.com>  Mon, 27 Jan 2020 14:28:18 -0700

## distro-info-data 0.43ubuntu1.9

=== debian/changelog ===
distro-info-data (0.43ubuntu1.9) focal; urgency=medium

  * Add Ubuntu 22.04, Jammy Jellyfish (LP: #1947368).
  * Update ubuntu.csv contents to what we had in hirsute+.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:48:46 +0200

distro-info-data (0.43ubuntu1.8) focal-security; urgency=medium

  * Update ubuntu.csv for trusty and xenial ESM extended dates
    (LP: #1946137).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 06 Oct 2021 09:28:43 -0300

distro-info-data (0.43ubuntu1.6) focal; urgency=medium

  * Move Ubuntu EoLs off weekend days. (LP: #1939457)

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Aug 2021 15:12:42 -0700

distro-info-data (0.43ubuntu1.5) focal; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 22 Apr 2021 13:15:23 +0100

distro-info-data (0.43ubuntu1.4) focal; urgency=medium

  * Add Ubuntu 21.04, Hirsute Hippo (LP: #1901361).

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Oct 2020 12:18:28 -0700

distro-info-data (0.43ubuntu1.1) focal; urgency=medium

  * Copy from Debian unstable (0.44):
    - Add Ubuntu 20.10, Groovy Gorilla. (LP: #1874843)
    - Add a guessed EOL date for Debian Stretch.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 24 Apr 2020 08:44:41 -0700

## distro-info-data 0.43ubuntu1.9+10.0trisquel2

=== debian/changelog ===
distro-info-data (0.43ubuntu1.9+10.0trisquel2) nabia; urgency=medium

  * Adding trisquel distro info.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Dec 2021 02:59:28 +0000

## distro-info-data 0.43ubuntu1.10

=== debian/changelog ===
distro-info-data (0.43ubuntu1.10) focal; urgency=medium

  * Add Ubuntu 22.10, Kinetic Kudu (LP: #1970227)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 26 Apr 2022 19:26:00 +0200

## distro-info-data 0.43ubuntu1.13

=== debian/changelog ===
distro-info-data (0.43ubuntu1.13) focal; urgency=medium

  * Add Ubuntu 23.10 Mantic Minotaur. (LP: #2018028)
  * Correct release and EOL date of Debian 8 "jessie"
  * Add EOL date for Debian 10 "Buster"
  * Add release and EOL dates for Debian 11 "Bullseye"
  * Set the planned release date for Debian bookworm (and an EoL based on it).
  * Add Debian 13 "Trixie"
  * Add Debian 14 "forky" with a vague creation date.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 May 2023 15:53:27 +0200

distro-info-data (0.43ubuntu1.12) focal; urgency=medium

  * Document Ubuntu ESM overlap period (LP: #2003949)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 06 Mar 2023 11:10:01 +0000

distro-info-data (0.43ubuntu1.11) focal; urgency=medium

  * Add Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 31 Oct 2022 15:12:39 +0100

## distro-info-data 0.43ubuntu1.15

=== debian/changelog ===
distro-info-data (0.43ubuntu1.15) focal; urgency=medium

  * Add animal name to Ubuntu 24.04 LTS Noble Numbat (LP: #2041662)
  * Clean .pyc files and mypy cache
  * Correct Ubuntu 6.10 EOL date to 2008-04-25
  * Correct Ubuntu 16.04 ESM begin to 2021-04-30
  * Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
  * Correct Debian 3.1 EOL date to 2008-03-31
  * Correct Debian 7 EOL date to 2016-04-25
  * Move Debian 9 EOL to the 9.13 release date 2020-07-18
  * Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Nov 2023 19:53:11 +0100

distro-info-data (0.43ubuntu1.14) focal; urgency=medium

  * Add Ubuntu 24.04 LTS Noble N. (LP: #2040193)

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Oct 2023 17:04:56 -0700

## distro-info-data 0.43ubuntu1.16

=== debian/changelog ===
distro-info-data (0.43ubuntu1.16) focal; urgency=medium

  [ Jeremy Bícha ]
  * debian.csv: Fix EOL date for 2.2

  [ Benjamin Drung ]
  * Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)
  * Update year in debian/copyright

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 30 Apr 2024 14:19:11 +0200

## distro-info-data 0.43ubuntu1.17

=== debian/changelog ===
distro-info-data (0.43ubuntu1.17) focal; urgency=medium

  * Add Ubuntu 25.04 Plucky Puffin (LP: #2084572)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 17 Oct 2024 12:48:27 +0200

## distro-info-data 0.43ubuntu1.17%2B10.0trisquel7

=== debian/changelog ===
distro-info-data (0.43ubuntu1.17+10.0trisquel7) nabia; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 22 Oct 2024 06:43:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12), python3
 Standards-Version: 4.4.1
@@ -13,7 +14,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.3~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.43ubuntu1.18

=== debian/changelog ===
distro-info-data (0.43ubuntu1.18) focal; urgency=medium

  * Add Ubuntu 25.10 "Questing Quokka" (LP: #2107391)
  * Add Debian 15 "Duke"

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Apr 2025 12:03:33 +0200
